Bug 137141 - help page for Position and Size dialog for Textbox and Shape needs updating
Summary: help page for Position and Size dialog for Textbox and Shape needs updating
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0
Keywords:
Depends on:
Blocks: Help-Changes-Features Help-Link
  Show dependency treegraph
 
Reported: 2020-09-29 19:36 UTC by sdc.blanco
Modified: 2020-10-30 19:19 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot showing problem (87.96 KB, image/png)
2020-09-30 00:03 UTC, sdc.blanco
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sdc.blanco 2020-09-29 19:36:20 UTC
1. Insert shape or textbox.
2. Right-click, choose "Position and Size"
3. Press help button in Position and Size tab.

Actual Result:  Goes to Type page for Format Image (and Frame)
https://help.libreoffice.org/7.1/en-US/text/swriter/01/05060100.html

Expected:  Should go to:  https://help.libreoffice.org/7.1/en-US/text/shared/01/05230100.html 

Also the expected page (05230100) needs to be updated, so that content of help page matches controls on the current Position and Size dialog tab.
Comment 1 Olivier Hallot 2020-09-29 20:21:52 UTC
This works for me on master.
Comment 2 sdc.blanco 2020-09-30 00:03:37 UTC
Created attachment 165961 [details]
screenshot showing problem

Reproduced again with current master.

Version: 7.1.0.0.alpha0+ (x64)  (29. sept)
Build ID: 3c6177be2705303044e3de262689d593f3d0f282
CPU threads: 8; OS: Windows 10.0 Build 19041; UI render: Skia/Raster; VCL: win
Locale: da-DK (en_DK); UI: en-US
Calc: threaded

The help page that comes up has some of the same controls, but it is the "Type" page for Frames and Images, not the "Position and Size" page for Textbox and Shapes.  (can be seen in the "Access to")
Comment 3 Commit Notification 2020-10-01 15:38:15 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/98b0d33be0320b901924ae3008d3e1e96a1a6a65

tdf#137141 update Position and Size help for Textbox and Shape
Comment 4 Commit Notification 2020-10-07 15:24:53 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/6241f13055a38675c3fffde398378f2d4ee26d8a

tdf#137141 add related topics to help for Position and Size tab of Shape
Comment 5 sdc.blanco 2020-10-10 00:42:10 UTC
@Regina  I hope you can help me with one question.  I have updated the help page(s) for the Position and Size tab of the Position and Size dialog for Textbox and Shape, but there is a new control for Writer, "Follow text flow".  I do not know what it means.  Can you help me with a text for that control?

https://help.libreoffice.org/7.1/en-US/text/shared/01/05230100.html?&DbPAR=WRITER&System=WIN

And of course if you see other problems, then I would be happy to fix them.  I updated the access commands for all the modules.  I think the controls for CALC, DRAW, and IMPRESS are the same (but slightly different from WRITER).

https://help.libreoffice.org/7.1/en-US/text/shared/01/05230100.html?&DbPAR=CALC&System=WIN

https://help.libreoffice.org/7.1/en-US/text/shared/01/05230100.html?&DbPAR=DRAW&System=WIN

https://help.libreoffice.org/7.1/en-US/text/shared/01/05230100.html?&DbPAR=IMPRESS&System=WIN

Thanks.
Comment 6 Regina Henschel 2020-10-10 12:49:17 UTC
(In reply to sdc.blanco from comment #5)
> @Regina  I hope you can help me with one question.  I have updated the help
> page(s) for the Position and Size tab of the Position and Size dialog for
> Textbox and Shape, but there is a new control for Writer, "Follow text
> flow".  I do not know what it means.  Can you help me with a text for that
> control?

The label of the check box is wrong. It should be the same as in the Type tab of the properties dialog of frame and image: "Keep inside text boundaries". The meaning is the same.
Comment 7 sdc.blanco 2020-10-10 13:17:08 UTC
(In reply to Regina Henschel from comment #6)
> The label of the check box is wrong. 
Thanks for this important information.  
Just to be sure:  You are referring to the checkbox in the dialog box in the UI itself. It should be changed from "Follow text flow"  --> "Keep inside text boundaries"
If that is correct, then I will make the repair to the UI and update the documentation to match.

And a final favor.  Will you please see if this bug report can be confirmed.
When I insert a Shape, right click, choose Position and Size - Position Tab, and click on the Help button -- it goes to the Type page (https://help.libreoffice.org/7.1/en-US/text/swriter/01/05060100.html), when it should go to this Position and Size tab page (https://help.libreoffice.org/7.1/en-US/text/shared/01/05230100.html).
Comment 8 Regina Henschel 2020-10-10 13:57:25 UTC
(In reply to sdc.blanco from comment #5) 
> And of course if you see other problems, then I would be happy to fix them. 
> I updated the access commands for all the modules.  I think the controls for
> CALC, DRAW, and IMPRESS are the same (but slightly different from WRITER).

Some suggestions will follow:


Now in 'Position':
Specify the location of the selected object on the page.

Suggestion for Draw/Impress:

Specify the location of the selected object on the page. The coordinates are relative to the origin. The origin is at the left/top corner of the page content area as default. You can temporarily change the origin by dragging the intersection field of horizontal and vertical ruler onto the page.

Suggestion for Calc:
Specify the location of the selected object on the page. The coordinate axes are at start of column A and start of row 1. Note: The x-coordinates are negative on a "right-to-left" table.


Now in 'Position X'/'Position Y':
Enter the horizontal/vertical distance that you want to move the object relative to the base point selected in the grid.

Suggestion:
Enter the horizontal/vertical coordinate of the selected base point.


Now in 'Base point':
Click a base point in the grid, and then enter the amount that you want to shift the object relative to the base point that you selected in the Position Y and Position X boxes. The base points correspond to the selection handles on an object.

Suggestion:
The base points correspond to the bounding rectangle of an object. Click a base point in the grid to select the point, for which the Position X and Position Y coordinates are used. The default point is left/top. Note: Your setting is not persistent and will return to the default on reopening the dialog.


Now in 'Size':
Specify the amount by which you want to resize the selected object with respect to the selected base point.

Suggestion:
Determine the width and height of the object. When the object is resized, the point, which you have selected in the grid, will keep its position.


Now in 'Keep ratio':
Maintains proportions when you resize the selected object.

Suggestion:
Maintains the height and width ratio when you change the width or the height setting. Note: This option affects the dialog. It is not a persistent option for the object.


Now in 'Position':
Prevents changes to the position or the size of the selected object.

Suggestion:
Prevents changes to position and changes to size of the selected object.


Now in Adapt
Specifies, if the size of a drawing object should be adjusted to fit the size of entered text.

Suggestion:
Specifies, if the size of a drawing object should be adjusted to fit the size of entered text. Note: These settings are only available for text boxes. Similar settings for other kind of objects are available in the menu Format > Text… (Draw/Impress) or Format > Object > Text… (Calc).
Comment 9 Regina Henschel 2020-10-10 14:06:17 UTC
(In reply to sdc.blanco from comment #7)
> (In reply to Regina Henschel from comment #6)
> > The label of the check box is wrong. 
> Thanks for this important information.  
> Just to be sure:  You are referring to the checkbox in the dialog box in the
> UI itself. It should be changed from "Follow text flow"  --> "Keep inside
> text boundaries"
> If that is correct, then I will make the repair to the UI and update the
> documentation to match.

Yes, I mean that. But please ask UX or discuss on mailing list. I think that there has be a switch from "Follow text flow" to "Keep inside text boundaries" some time ago.

> 
> And a final favor.  Will you please see if this bug report can be confirmed.
> When I insert a Shape, right click, choose Position and Size - Position Tab,
> and click on the Help button -- it goes to the Type page
> (https://help.libreoffice.org/7.1/en-US/text/swriter/01/05060100.html), when
> it should go to this Position and Size tab page
> (https://help.libreoffice.org/7.1/en-US/text/shared/01/05230100.html).

Yes, you are right. The link in 7.1 is wrong.
Comment 10 Commit Notification 2020-10-12 16:46:30 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/3908abbfca18fdc7cbe75fa55098886a666f4d38

tdf#137141 change control label on Position-Size tab help page
Comment 11 Commit Notification 2020-10-12 18:34:18 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/d6f2fd44fcb8aeb98e5ec9f4ef1d55cf8310b695

tdf#137141 update Position & Size tab help for "Protect" and "Adapt"
Comment 12 Commit Notification 2020-10-14 00:35:25 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/53f24b82c5b594c8dc4a11eae9996dee785d58ff

tdf#137141 update help for Position and Size tab - "Size" control
Comment 13 Commit Notification 2020-10-16 10:36:04 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/8d59dee8f3cfba1b4b846d5059f46a584b6aebae

Resolves: tdf#137141 - update Position and Size tab help for "Position"
Comment 14 sdc.blanco 2020-10-19 19:47:23 UTC
Updating of help page for Position tab of Position and Size dialog for Text Box and Shape is finished.  

Only remaining problem: link on the Help Button is wrong. See comment 0
Comment 15 Commit Notification 2020-10-21 10:33:11 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/d5943b6dbf5be06d643adda6a3b8435d2c74ea4b

tdf#137141 - untangle module switches for Position
Comment 16 Commit Notification 2020-10-21 11:03:31 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/4ff9c170c99c88f4af370692cb97a80e01bfa986

tdf#137141 refactor switchinline into switch
Comment 17 sdc.blanco 2020-10-30 19:19:50 UTC
The help pages are updated, so I will change title to that and close this bug as FIXED, and make a new one about the link problem.